Steps executions statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get the daily steps executions stats.

Response

AttributeTypeDescription
data[].typestringalways "step_executions_stats"
data[].stepIDstringthe step ID
data[].stepNamestringthe step name
data[].executionsCountintthe number of hit of the step
data[].fallbacksCountintthe number of hit of the step’s fallback
data[].executionsPercentfloatrate of hit of the step on the total hit of steps for the day
{
    "data": [
        {
            "type": "step_executions_stats",
            "stepID": "5b06d94cb76715002e6a12a6",
            "stepName": "hello world",
            "executionsCount": 42,
            "fallbacksCount": 0,
            "executionsPercent": 0.3962264151
        },
        {
            "type": "step_executions_stats",
            "stepID": "5c3f037a4525f0005fecd5e5",
            "stepName": "JOKE (event triggered)",
            "executionsCount": 34,
            "fallbacksCount": 0,
            "executionsPercent": 0.320754717
        },
        {
            "type": "step_executions_stats",
            "stepID": "5c3f0a474525f0005fecd609",
            "stepName": "PRICING",
            "executionsCount": 20,
            "fallbacksCount": 0,
            "executionsPercent": 0.1886792453
        }
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

string
required

the story ID

step_ids
array of strings

comma separated list of step IDs

step_ids
string

filter string. If set, return only steps which contains the value in its name

string

column to sort the results upon (can be executions_count, in both order - prefix with + or -)

int32

number of results per page

int32
Defaults to 1

page of results

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json